Package org.eclipse.birt.chart.render

# Interface ISeriesRenderingHints

All Known Subinterfaces:
  `ISeriesRenderingHints3D`

All Known Implementing Classes:
  `SeriesRenderingHints`, `SeriesRenderingHints`, `SeriesRenderingHints3D`

public interface ISeriesRenderingHints
This interface defines the rendering hints required by series renderer.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ANCILLARY_EMPTY`
Indicates the ancillary dataset is empty.
`static final int`
`BASE_ANCILLARY_IN_SYNC`
Indicates the base and ancillary datasets are synchronized.
`static final int`
`BASE_ANCILLARY_OUT_OF_SYNC`
Indicates the base and ancillary datasets are out of sync.
`static final int`
`BASE_EMPTY`
Indicates the base dataset is empty.
`static final int`
`BASE_ORTHOGONAL_IN_SYNC`
Indicates the base and orthogonal datasets are synchronized.
`static final int`
`BASE_ORTHOGONAL_OUT_OF_SYNC`
Indicates the base and orthogonal datasets are out of sync.
`static final int`
`ORTHOGONAL_EMPTY`
Indicates the orthogonal dataset is empty.
`static final int`
`UNDEFINED`
Indicates the state is unknown.

## Method Summary

Modifier and Type
Method
Description
`DataSetIterator`
`getBaseDataSet()`
`Bounds`
`getClientAreaBounds(boolean bReduceByInsets)`
Returns current client area bounds.
`DataPointHints[]`
`getDataPoints()`
`int`
`getDataSetStructure()`
`DataSetIterator`
`getOrthogonalDataSet()`

## Field Details

### UNDEFINED

static final int UNDEFINED
Indicates the state is unknown.

See Also:
  - Constant Field Values

### BASE_ORTHOGONAL_IN_SYNC

static final int BASE_ORTHOGONAL_IN_SYNC
Indicates the base and orthogonal datasets are synchronized.

See Also:
  - Constant Field Values

### BASE_ORTHOGONAL_OUT_OF_SYNC

static final int BASE_ORTHOGONAL_OUT_OF_SYNC
Indicates the base and orthogonal datasets are out of sync.

See Also:
  - Constant Field Values

### BASE_EMPTY

static final int BASE_EMPTY
Indicates the base dataset is empty.

See Also:
  - Constant Field Values

### ORTHOGONAL_EMPTY

static final int ORTHOGONAL_EMPTY
Indicates the orthogonal dataset is empty.

See Also:
  - Constant Field Values

### BASE_ANCILLARY_IN_SYNC

static final int BASE_ANCILLARY_IN_SYNC
Indicates the base and ancillary datasets are synchronized.

See Also:
  - Constant Field Values

### BASE_ANCILLARY_OUT_OF_SYNC

static final int BASE_ANCILLARY_OUT_OF_SYNC
Indicates the base and ancillary datasets are out of sync.

See Also:
  - Constant Field Values

### ANCILLARY_EMPTY

static final int ANCILLARY_EMPTY
Indicates the ancillary dataset is empty.

See Also:
  - Constant Field Values

## Method Details

### getDataSetStructure

int getDataSetStructure()

Returns:
  Returns the dataset structure state of current series rendering hints. The value could be one of these defined in this interface:
  - `BASE_ORTHOGONAL_IN_SYNC`
  - `BASE_ORTHOGONAL_OUT_OF_SYNC`
  - `BASE_ANCILLARY_IN_SYNC`
  - `BASE_ANCILLARY_OUT_OF_SYNC`
  - `BASE_EMPTY`
  - `ORTHOGONAL_EMPTY`
  - `ANCILLARY_EMPTY`
  - `UNDEFINED`

### getBaseDataSet

DataSetIterator getBaseDataSet()

Returns:
  Returns the dataset bound to base series.

### getOrthogonalDataSet

DataSetIterator getOrthogonalDataSet()

Returns:
  Returns the dataset bound to orthogonal series.

### getClientAreaBounds

Bounds getClientAreaBounds(boolean bReduceByInsets)
Returns current client area bounds.

Parameters:
  `bReduceByInsets` - Specifies if reduce the insets.
Returns:

### getDataPoints

DataPointHints[] getDataPoints()

Returns:
  Returns all datapointhints for current rendering.
See Also:
  - `DataPointHints`